> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clock In Logs

> Get all audit logs for a specific clock-in record.
Shows who edited the clock-in record, when, and what changed.



## OpenAPI

````yaml get /check-in/clock-in/{time_entry_id}/logs
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/clock-in/{time_entry_id}/logs:
    get:
      tags:
        - provider
        - check-in
        - clock-in
      summary: Get Clock In Logs
      description: |-
        Get all audit logs for a specific clock-in record.
        Shows who edited the clock-in record, when, and what changed.
      operationId: get_clock_in_logs_check_in_clock_in__time_entry_id__logs_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: time_entry_id
          in: path
          required: true
          schema:
            type: string
            title: Time Entry Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/ClockInLogCreatedSummary'
                    - $ref: '#/components/schemas/ClockInLogTimeEditedSummary'
                    - $ref: '#/components/schemas/ClockInLogClockedOutSummary'
                    - $ref: '#/components/schemas/ClockInLogDeletedSummary'
                  discriminator:
                    propertyName: actionType
                    mapping:
                      CREATED:
                        $ref: '#/components/schemas/ClockInLogCreatedSummary'
                      TIME_EDITED:
                        $ref: '#/components/schemas/ClockInLogTimeEditedSummary'
                      CLOCKED_OUT:
                        $ref: '#/components/schemas/ClockInLogClockedOutSummary'
                      DELETED:
                        $ref: '#/components/schemas/ClockInLogDeletedSummary'
                title: >-
                  Response Get Clock In Logs Check In Clock In  Time Entry Id 
                  Logs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClockInLogCreatedSummary:
      properties:
        id:
          type: string
          title: Id
        clockInRecordId:
          type: string
          title: Clockinrecordid
        providerId:
          type: string
          title: Providerid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        actionType:
          type: string
          const: CREATED
          title: Actiontype
          default: CREATED
      type: object
      required:
        - id
        - clockInRecordId
        - providerId
        - createdDate
      title: ClockInLogCreatedSummary
      description: Summary view of a CREATED clock-in log
    ClockInLogTimeEditedSummary:
      properties:
        oldStartTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Oldstarttime
        newStartTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Newstarttime
        oldEndTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Oldendtime
        newEndTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Newendtime
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
        clockInRecordId:
          type: string
          title: Clockinrecordid
        providerId:
          type: string
          title: Providerid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        actionType:
          type: string
          const: TIME_EDITED
          title: Actiontype
          default: TIME_EDITED
      type: object
      required:
        - id
        - clockInRecordId
        - providerId
        - createdDate
      title: ClockInLogTimeEditedSummary
      description: Summary view of a TIME_EDITED clock-in log
    ClockInLogClockedOutSummary:
      properties:
        id:
          type: string
          title: Id
        clockInRecordId:
          type: string
          title: Clockinrecordid
        providerId:
          type: string
          title: Providerid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        actionType:
          type: string
          const: CLOCKED_OUT
          title: Actiontype
          default: CLOCKED_OUT
      type: object
      required:
        - id
        - clockInRecordId
        - providerId
        - createdDate
      title: ClockInLogClockedOutSummary
      description: Summary view of a CLOCKED_OUT clock-in log
    ClockInLogDeletedSummary:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
        clockInRecordId:
          type: string
          title: Clockinrecordid
        providerId:
          type: string
          title: Providerid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        actionType:
          type: string
          const: DELETED
          title: Actiontype
          default: DELETED
      type: object
      required:
        - id
        - clockInRecordId
        - providerId
        - createdDate
      title: ClockInLogDeletedSummary
      description: Summary view of a DELETED clock-in log
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````